/******************************************************************************
  Copyright (C) 2015 Renesas Electronics Corporation, All Rights Reserved.
*******************************************************************************
* File Name    : hwLCDPMod.h
* Version      : 1.00
* Description  : Hardware interface for PMOD display
******************************************************************************
* History : DD.MM.YYYY Version Description
*         : dd.mm.yyyy 1.00    First Release
******************************************************************************/

#ifndef HWLCDPMOD_H_INCLUDED
#define HWLCDPMOD_H_INCLUDED

#ifdef __cplusplus
extern "C" {
#endif

/******************************************************************************
System includes / User includes
******************************************************************************/
#include "r_typedefs.h"
#include "drvLCDPMod.h"
#include "hwRIIC3.h"

/******************************************************************************
Public Functions
******************************************************************************/

void lcd_pmod_init (void);

void lcd_pmod_display_image (uint8_t *image, uint8_t image_width,
                           uint8_t image_height, uint8_t loc_x, uint8_t loc_y);


#ifdef __cplusplus
}
#endif

#endif                              /* LCDPMOD_H_INCLUDED */

/*****************************************************************************
End  Of File
******************************************************************************/
